#!/bin/bash

# Install texlive
echo "instaling cmake" && \
dnf install -y mingw64-gcc-c++ wget cmake make tar xz mingw32-nsis gtest gtest-devel python3 python3-pip
#cleanup
dnf clean dbcache && dnf clean packages

# install conan
pip3 install conan

git clone https://gitlab.heili.eu/lukas/dynuiprefresher.git
cd dynuiprefresher || exit
git checkout conansupport

conan profile new default --detect --force # Generates default profile detecting GCC and sets old ABI
conan profile update settings.compiler.libcxx=libstdc++11 default  # Sets libcxx to C++11 ABI
mkdir -p build # create build folder
CONAN_SYSREQUIRES_MODE=enabled CONAN_SYSREQUIRES_SUDO=0 conan install . --build=missing


# cleanup
conan remove "*" -s -b -f

cd ..
rm -Rf ./dynuiprefresher
rm /tmp/build.sh